org.apache.http.client.methods

## Class HttpRequestWrapper

- java.lang.Object
- - org.apache.http.message.AbstractHttpMessage
  - - org.apache.http.client.methods.HttpRequestWrapper

- All Implemented Interfaces:
    HttpUriRequest, org.apache.http.HttpMessage, org.apache.http.HttpRequest

      public class HttpRequestWrapper
      extends org.apache.http.message.AbstractHttpMessage
      implements HttpUriRequest

  A wrapper class for `HttpRequest` that can be used to change properties of the current request without modifying the original object.
  Since:
    4.3

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.message.AbstractHttpMessage

      `headergroup, params`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()` Aborts execution of the request.
    `String` | `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.
    `org.apache.http.HttpRequest` | `getOriginal()`
    `org.apache.http.params.HttpParams` | `getParams()` Deprecated. (4.3) use `RequestConfig`.
    `org.apache.http.ProtocolVersion` | `getProtocolVersion()`
    `org.apache.http.RequestLine` | `getRequestLine()`
    `org.apache.http.HttpHost` | `getTarget()`
    `URI` | `getURI()` Returns the URI this request uses, such as `http://example.org/path/to/file`.
    `boolean` | `isAborted()` Tests if the request execution has been aborted.
    `void` | `setProtocolVersion(org.apache.http.ProtocolVersion version)`
    `void` | `setURI(URI uri)`
    `String` | `toString()`
    `static HttpRequestWrapper` | `wrap(org.apache.http.HttpRequest request)` Creates a mutable wrapper of the original request.
    `static HttpRequestWrapper` | `wrap(org.apache.http.HttpRequest request, org.apache.http.HttpHost target)` Creates a mutable wrapper of the original request.

    - ### Methods inherited from class org.apache.http.message.AbstractHttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpMessage

      `addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

- - ### Method Detail

    - #### getProtocolVersion

          public org.apache.http.ProtocolVersion getProtocolVersion()

      Specified by:
        `getProtocolVersion` in interface `org.apache.http.HttpMessage`

    - #### setProtocolVersion

          public void setProtocolVersion(org.apache.http.ProtocolVersion version)

    - #### getURI

          public URI getURI()

      Description copied from interface: `HttpUriRequest`
      Returns the URI this request uses, such as `http://example.org/path/to/file`.

      Note that the URI may be absolute URI (as above) or may be a relative URI.

      Implementations are encouraged to return the URI that was initially requested.

      To find the final URI after any redirects have been processed, please see the section entitled HTTP execution context in the HttpClient Tutorial

      Specified by:
        `getURI` in interface `HttpUriRequest`

    - #### setURI

          public void setURI(URI uri)

    - #### getMethod

          public String getMethod()

      Description copied from interface: `HttpUriRequest`
      Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.
      Specified by:
        `getMethod` in interface `HttpUriRequest`

    - #### abort

          public void abort()
                     throws UnsupportedOperationException

      Description copied from interface: `HttpUriRequest`
      Aborts execution of the request.
      Specified by:
        `abort` in interface `HttpUriRequest`
      Throws:
        `UnsupportedOperationException` - if the abort operation is not supported / cannot be implemented.

    - #### isAborted

          public boolean isAborted()

      Description copied from interface: `HttpUriRequest`
      Tests if the request execution has been aborted.
      Specified by:
        `isAborted` in interface `HttpUriRequest`
      Returns:
        `true` if the request execution has been aborted, `false` otherwise.

    - #### getRequestLine

          public org.apache.http.RequestLine getRequestLine()

      Specified by:
        `getRequestLine` in interface `org.apache.http.HttpRequest`

    - #### getOriginal

          public org.apache.http.HttpRequest getOriginal()

    - #### getTarget

          public org.apache.http.HttpHost getTarget()

      Since:
        4.4

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### wrap

          public static HttpRequestWrapper wrap(org.apache.http.HttpRequest request)

      Creates a mutable wrapper of the original request.
      Parameters:
        `request` - original request
      Returns:
        mutable request wrappering the original one

    - #### wrap

          public static HttpRequestWrapper wrap(org.apache.http.HttpRequest request,
                                org.apache.http.HttpHost target)

      Creates a mutable wrapper of the original request.
      Parameters:
        `request` - original request
        `target` - original target, if explicitly specified
      Returns:
        mutable request wrappering the original one
      Since:
        4.4

    - #### getParams

          @Deprecated
          public org.apache.http.params.HttpParams getParams()

      Deprecated. (4.3) use `RequestConfig`.
      Specified by:
        `getParams` in interface `org.apache.http.HttpMessage`
      Overrides:
        `getParams` in class `org.apache.http.message.AbstractHttpMessage`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.